Index: code/branches/presentation/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/presentation/visual_studio/vc8/orxonox.vcproj	(revision 2492)
+++ code/branches/presentation/visual_studio/vc8/orxonox.vcproj	(revision 2495)
@@ -429,4 +429,8 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\weaponSystem\WeaponPack.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\weaponSystem\WeaponSet.cc"
 						>
@@ -445,4 +449,44 @@
 						<File
 							RelativePath="..\..\src\orxonox\objects\weaponSystem\munitions\LaserGunMunition.cc"
+							>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+						</File>
+					</Filter>
+					<Filter
+						Name="weapons"
+						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\LaserGun.cc"
+							>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\Missile.cc"
 							>
 							<FileConfiguration
@@ -465,12 +509,11 @@
 					</Filter>
 					<Filter
-						Name="weapons"
-						>
-						<File
-							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\LaserGun.cc"
+						Name="projectiles"
+						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\BillboardProjectile.cc"
 							>
 							<FileConfiguration
 								Name="Debug|Win32"
-								ExcludedFromBuild="true"
 								>
 								<Tool
@@ -480,5 +523,4 @@
 							<FileConfiguration
 								Name="Release|Win32"
-								ExcludedFromBuild="true"
 								>
 								<Tool
@@ -488,9 +530,8 @@
 						</File>
 						<File
-							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\Missile.cc"
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\ParticleProjectile.cc"
 							>
 							<FileConfiguration
 								Name="Debug|Win32"
-								ExcludedFromBuild="true"
 								>
 								<Tool
@@ -500,5 +541,4 @@
 							<FileConfiguration
 								Name="Release|Win32"
-								ExcludedFromBuild="true"
 								>
 								<Tool
@@ -507,14 +547,9 @@
 							</FileConfiguration>
 						</File>
-					</Filter>
-					<Filter
-						Name="projectiles"
-						>
-						<File
-							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\BillboardProjectile.cc"
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\Projectile.cc"
 							>
 							<FileConfiguration
 								Name="Debug|Win32"
-								ExcludedFromBuild="true"
 								>
 								<Tool
@@ -524,5 +559,4 @@
 							<FileConfiguration
 								Name="Release|Win32"
-								ExcludedFromBuild="true"
 								>
 								<Tool
@@ -531,47 +565,51 @@
 							</FileConfiguration>
 						</File>
-						<File
-							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\ParticleProjectile.cc"
-							>
-							<FileConfiguration
-								Name="Debug|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-							<FileConfiguration
-								Name="Release|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-						</File>
-						<File
-							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\Projectile.cc"
-							>
-							<FileConfiguration
-								Name="Debug|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-							<FileConfiguration
-								Name="Release|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-						</File>
 					</Filter>
 				</Filter>
 				<Filter
+					Name="collisionShapes"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\BoxCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\CollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\CompoundCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\ConeCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\PlaneCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\SphereCollisionShape.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="items"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\Engine.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\Item.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\MultiStateEngine.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
 					Name="quest"
 					>
@@ -642,48 +680,4 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\Rewardable.cc"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="collisionShapes"
-					>
-					<File
-						RelativePath="..\..\src\orxonox\objects\collisionshapes\BoxCollisionShape.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\orxonox\objects\collisionshapes\CollisionShape.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\orxonox\objects\collisionshapes\CompoundCollisionShape.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\orxonox\objects\collisionshapes\ConeCollisionShape.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\orxonox\objects\collisionshapes\PlaneCollisionShape.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\orxonox\objects\collisionshapes\SphereCollisionShape.cc"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="items"
-					>
-					<File
-						RelativePath="..\..\src\orxonox\objects\items\Engine.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\orxonox\objects\items\Item.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\orxonox\objects\items\MultiStateEngine.cc"
 						>
 					</File>
@@ -843,4 +837,12 @@
 					>
 					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\CreateLines.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\Scoreboard.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\overlays\stats\Stats.cc"
 						>
@@ -1476,4 +1478,12 @@
 					Name="stats"
 					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\CreateLines.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\Scoreboard.h"
+						>
+					</File>
 					<File
 						RelativePath="..\..\src\orxonox\overlays\stats\Stats.h"
